AntiFeatures:
  - NonFreeNet
Categories:
  - Money
License: Apache-2.0
AuthorName: Anton Kumaigorodski
WebSite: https://lightning-wallet.com
SourceCode: https://github.com/btcontract/wallet
IssueTracker: https://github.com/btcontract/wallet/issues
Changelog: https://github.com/btcontract/wallet/releases

AutoName: Simple Bitcoin Wallet

RepoType: git
Repo: https://github.com/btcontract/wallet.git

Builds:
  - versionName: '1.04'
    versionCode: 30
    commit: a510a0e
    subdir: app
    submodules: true
    gradle:
      - yes
    srclibs:
      - jbox2d@e1b7021e7adb2c39b047e530a4ca52d015976fb7
    scandelete:
      - app/src/main/jniLibs/armeabi/libscrypt.so
      - app/src/main/jniLibs/mips/libscrypt.so
      - app/src/main/jniLibs/x86/libscrypt.so
      - app/scrypt/src
    build:
      - pushd $$jbox2d$$/jbox2d-library
      - $$MVN3$$ install
      - popd
      - ./prepare_fdroid.sh

  - versionName: '1.06'
    versionCode: 36
    commit: 8ba3e84850ad7633f7910e601fc60c441f20c1a1
    subdir: app
    submodules: true
    gradle:
      - yes
    srclibs:
      - jbox2d@e1b7021e7adb2c39b047e530a4ca52d015976fb7
    scandelete:
      - app/src/main/jniLibs/armeabi/libscrypt.so
      - app/src/main/jniLibs/x86/libscrypt.so
      - app/scrypt/src
    build:
      - pushd $$jbox2d$$/jbox2d-library
      - $$MVN3$$ install
      - popd
      - ./prepare_fdroid.sh

  - versionName: '1.06'
    versionCode: 39
    commit: ac29f9b96ee02589ec73a7ed12c1166648e9b003
    subdir: app
    submodules: true
    gradle:
      - yes
    srclibs:
      - jbox2d@e1b7021e7adb2c39b047e530a4ca52d015976fb7
    scandelete:
      - app/src/main/jniLibs/armeabi-v7a/libscrypt.so
      - app/src/main/jniLibs/armeabi/libscrypt.so
      - app/src/main/jniLibs/x86/libscrypt.so
      - app/scrypt/src
    build:
      - pushd $$jbox2d$$/jbox2d-library
      - $$MVN3$$ install
      - popd
      - ./prepare_fdroid.sh

  - versionName: '1.072'
    versionCode: 43
    commit: 664819a65f4ff4372a44f360660b9abbeabc0110
    subdir: app
    submodules: true
    gradle:
      - yes
    srclibs:
      - jbox2d@e1b7021e7adb2c39b047e530a4ca52d015976fb7
    scandelete:
      - app/src/main/jniLibs/armeabi-v7a/libscrypt.so
      - app/src/main/jniLibs/armeabi/libscrypt.so
      - app/src/main/jniLibs/x86/libscrypt.so
      - app/scrypt/src
    build:
      - pushd $$jbox2d$$/jbox2d-library
      - $$MVN3$$ install
      - popd
      - ./prepare_fdroid.sh

  - versionName: '1.073'
    versionCode: 45
    commit: aabcba568e8a475279ed978ea215c6cbcf84f62f
    subdir: app
    submodules: true
    gradle:
      - yes
    srclibs:
      - jbox2d@e1b7021e7adb2c39b047e530a4ca52d015976fb7
    scandelete:
      - app/src/main/jniLibs/armeabi-v7a/libscrypt.so
      - app/src/main/jniLibs/armeabi/libscrypt.so
      - app/src/main/jniLibs/x86/libscrypt.so
      - app/scrypt/src
    build:
      - pushd $$jbox2d$$/jbox2d-library
      - $$MVN3$$ install
      - popd
      - ./prepare_fdroid.sh

  - versionName: '1.074'
    versionCode: 47
    commit: 291ed3ba4c758c17f897f826be4505b885151c33
    subdir: app
    submodules: true
    gradle:
      - yes
    srclibs:
      - jbox2d@e1b7021e7adb2c39b047e530a4ca52d015976fb7
    scandelete:
      - app/src/main/jniLibs/armeabi-v7a/libscrypt.so
      - app/src/main/jniLibs/armeabi/libscrypt.so
      - app/src/main/jniLibs/x86/libscrypt.so
      - app/scrypt/src
    build:
      - pushd $$jbox2d$$/jbox2d-library
      - $$MVN3$$ install
      - popd
      - ./prepare_fdroid.sh

  - versionName: '1.075'
    versionCode: 52
    commit: 361654ae9e749a881780d89d904a5dc42432bdf8
    subdir: app
    submodules: true
    gradle:
      - yes
    srclibs:
      - jbox2d@e1b7021e7adb2c39b047e530a4ca52d015976fb7
    scandelete:
      - app/src/main/jniLibs/armeabi-v7a/libscrypt.so
      - app/src/main/jniLibs/armeabi/libscrypt.so
      - app/src/main/jniLibs/x86/libscrypt.so
      - app/scrypt/src
    build:
      - pushd $$jbox2d$$/jbox2d-library
      - $$MVN3$$ install
      - popd
      - ./prepare_fdroid.sh

  - versionName: 2.0.2
    versionCode: 62
    commit: 2.0.2
    subdir: app
    gradle:
      - yes

  - versionName: 2.0.3
    versionCode: 63
    commit: 96011d928d2c441951f66b0b5fd7fda35863ff74
    subdir: app
    gradle:
      - yes

  - versionName: 2.0.5
    versionCode: 65
    commit: 0f8afffc51a40055fe47f817722cc993dcc10076
    subdir: app
    gradle:
      - yes

  - versionName: 2.0.6
    versionCode: 66
    commit: c3c0216b33a602cc05fc79f3c38ea9b61f460104
    subdir: app
    gradle:
      - yes

  - versionName: 2.0.7
    versionCode: 67
    commit: 0cfe63b73559a8290e55b9e1c7ae266c395c7e06
    subdir: app
    gradle:
      - yes

  - versionName: 2.0.9
    versionCode: 69
    commit: 7cd4edbd6aa5415a21365e1a7a8e1e4f9c31ca2e
    subdir: app
    gradle:
      - yes

  - versionName: 2.0.12
    versionCode: 72
    commit: 933c1e43b08c0c62b44b44224a8879e5922e00a0
    subdir: app
    gradle:
      - yes

  - versionName: 2.1.12
    versionCode: 74
    commit: 196a4914818363a889450dcd9fd9eac60978a4e8
    subdir: app
    gradle:
      - yes

  - versionName: 2.1.14
    versionCode: 75
    commit: f7863f63c394ff5a1972408e69773b2b10ce032d
    subdir: app
    gradle:
      - yes

AutoUpdateMode: Version %v
UpdateCheckMode: Tags
CurrentVersion: 2.1.14
CurrentVersionCode: 75
